import bb.cascades 1.0

Page {
    id: aboutPage
    titleBar: TitleBar {
        //kind: TitleBarKind.Default
        title: "About"
    }
    Container {
        layout: DockLayout {
        }
        leftPadding: 20.0
        rightPadding: 20.0
        //topPadding: 20.0
        //bottomPadding: 20.0
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        ScrollView {
            id: scrollView
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            scrollViewProperties.scrollMode: ScrollMode.Vertical
            scrollViewProperties.pinchToZoomEnabled: false
            Label {
                //text: "<html><b>Disclaimer of Warranty.</b><br/><p>THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.</p><br/><b>Limitation of Liability.</b><br/><p>IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p></html>"
                multiline: true
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
                text: "<html><b>Torrent client powered by Transmission</b>

BitTorque is a lightweight yet powerful torrent client powered by the
popular, open source Transmission software.

<b>Features</b>
- Several network modes including WiFi-only
- Simultaneous torrent downloading
- Web Browser and File Manager integration
- Magnet link support
- Sharing of torrents
- Upload and Download speed limits
- Tracker-less torrent (DHT) support
- UPnP and NAT-PMP support
- Encryption support
- Local Peer Discovery support

<b>Planned Features</b>
- Sharing individual files from multi-file torrents
- Configurable IP block-list support
- Configurable encryption
- Download storage location choice
- Download stats on the active frame

<b>Created by</b>
<a href='http://iiordanov.blogspot.ca'>Iordan Iordanov</a>

<b>Open Source</b>
This product interfaces with open source software provided by Transmission and libevent. Sources for our modified versions can be found respectively <a href='https://github.com/iiordanov/Transmission-for-BB10'>here</a> and <a href='https://github.com/iiordanov/libevent-for-BB10'>here</a>.
</html>"
            }
        }
    }
}
