import bb.cascades 1.0

SceneCover {
    // In the SceneCover the content property keyword has to be explicitly added
    content: Container {
        layout: DockLayout {
        }
        // background: Color.create("#262626")
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        Container {
            leftPadding: 20.0
            rightPadding: 20.0
            verticalAlignment: VerticalAlignment.Center
            // Name
            Label {
                text: "Total"
                textStyle.base: SystemDefaults.TextStyles.TitleText
            }
            Label {
                text: torrentModel.totalEta + " left"
                // textStyle.color: Color.White
                textStyle.base: SystemDefaults.TextStyles.SubtitleText
            }
            ProgressIndicator {
                fromValue: 0
                toValue: 100
                value: torrentModel.totalProgress
                state: value == 100 ? ProgressIndicatorState.Complete : ProgressIndicatorState.Progress
            }
            Label {
                text: "↓ " + torrentModel.totalDownload + "KB, ↑ " + torrentModel.totalUpload + "KB"
                // textStyle.color: Color.White
                textStyle.base: SystemDefaults.TextStyles.SubtitleText
            }
        }
    }
}
