import bb.cascades 1.0

// Busy indicator

Container {
    id: busyIndicator
    property bool busy: false
    property string message: ""
    layout: DockLayout {
    }
    visible: busyIndicator.busy
    opacity: busyIndicator.busy == true ? 1.0 : 0.0
    ActivityIndicator {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        running: busyIndicator.busy
    }
    Container {
        layout: StackLayout {
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        Container {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 2.0
            }
        }
        Container {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1.0
            }
            layout: DockLayout {
            }
            rightPadding: 20.0
            leftPadding: 20.0
            horizontalAlignment: HorizontalAlignment.Fill
            Label {
                text: busyIndicator.message
                multiline: true
                textStyle.textAlign: TextAlign.Center
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
            }
        }
    }
}
