import bb.cascades 1.0

Container {
    property alias title: titleLabel.text
    property alias subTitle: subTitleLabel.text
    property alias toggled: toggleButton.checked
    
    layout: DockLayout {
    }
    Container {
        layout: StackLayout {
        }
        leftPadding: 20.0
        rightPadding: 20.0
        topPadding: 20.0
        bottomPadding: 20.0
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        Container {
            layout: DockLayout {
            }
            horizontalAlignment: HorizontalAlignment.Fill
            Label {
                id: titleLabel
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Left
                multiline: true
            }
            ToggleButton {
                id: toggleButton
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Right
            }
        }
        Label {
            id: subTitleLabel
            horizontalAlignment: HorizontalAlignment.Left
            textStyle.base: SystemDefaults.TextStyles.SmallText
            multiline: true
        }
    }
    Divider {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}
