import bb.cascades 1.0

Container {
    //property alias value: networkRadio.selectedValue
    //property alias index: networkRadio.selectedIndex
    
    Header {
        title: "Speed Limits"
        subtitle: "Should I throttle your speeds?"
    }
    SettingsSliderToggle {
        title: "Upload"
        horizontalAlignment: HorizontalAlignment.Fill
        fromValue: 0
        toValue: 500
        toggled: _app.uploadLimitEnabled
        onToggledChanged: {
            if (toggled != _app.uploadLimitEnabled) {
                _app.uploadLimitEnabled = toggled;
            }
        }
        value: _app.uploadLimit
        onValueChanged: {
            if (value != _app.uploadLimit) {
                _app.uploadLimit = value;
            }
        }
    }
    SettingsSliderToggle {
        title: "Download"
        horizontalAlignment: HorizontalAlignment.Fill
        fromValue: 0
        toValue: 3000
        toggled: _app.downloadLimitEnabled
        onToggledChanged: {
            if (toggled != _app.downloadLimitEnabled) {
                _app.downloadLimitEnabled = toggled;
            }
        }
        value: _app.downloadLimit
        onValueChanged: {
            if (value != _app.downloadLimit) {
                _app.downloadLimit = value;
            }
        }
    }
}
