import bb.cascades 1.0

Container {
    property alias value: networkRadio.selectedValue
    property alias index: networkRadio.selectedIndex
    
    Header {
        title: "Network Mode"
        subtitle: "Which network should I use?"
    }
    
    RadioGroup {
        id: networkRadio
        dividersVisible: true
        Option {
            id: wifiAndMobileNetwork
            value: "wifiAndMobileNetwork"
            text: "WiFi and Mobile Network"
            description: "All data transfers over any network"
        }
        Option {
            id: wifiForDownloads
            value: "wifiForDownloads"
            text: "WiFi for Downloads"
            description: "Few MB/day over Mobile when no WiFi"
        }
        Option {
            id: strictlyWifi
            value: "strictlyWifi"
            text: "Strictly WiFi"
            description: "No data transfers over Mobile Network"
        }
    }
    Divider {
    	topMargin: 20.0
        horizontalAlignment: HorizontalAlignment.Fill
    }
}
