import bb.cascades 1.0

Container {
    property alias title: titleLabel.text
    //property alias subTitle: subTitleLabel.text
    property alias toggled: toggleButton.checked
    property alias value: slider.value
    property alias fromValue: slider.fromValue
    property alias toValue: slider.toValue

    topPadding: 20.0
    
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Fill
        leftPadding: 20.0
        rightPadding: 20.0
        Label {
            id: titleLabel
            textStyle.base: SystemDefaults.TextStyles.TitleText
            multiline: true
            verticalAlignment: VerticalAlignment.Center
            layoutProperties: StackLayoutProperties {
                spaceQuota: -1
            }
        }
        Container {
            id: spacer
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
        }
        Label {
            id: speed
            textStyle.base: SystemDefaults.TextStyles.TitleText
            text: Math.round(slider.immediateValue) + "KB/s"
            verticalAlignment: VerticalAlignment.Center
        }
        ToggleButton {
            id: toggleButton
            verticalAlignment: VerticalAlignment.Center
            layoutProperties: StackLayoutProperties {
                spaceQuota: -1
            }
        }
    }
    Container {
        //visible: toggleButton.checked
        leftPadding: 20.0
        rightPadding: 20.0
        topPadding: 40.0
        horizontalAlignment: HorizontalAlignment.Fill
        Slider {
            id: slider
            //property int intValue: Math.round(value)
            horizontalAlignment: HorizontalAlignment.Fill
        }
    }
    Divider {
        horizontalAlignment: HorizontalAlignment.Fill
    }
}
